Bug 982642 - spacewalk-abrt doesn't report kernel crash via abrt-addon-vmcore
spacewalk-abrt doesn't report kernel crash via abrt-addon-vmcore
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
560
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Matej Kollar
:
Depends On: 1002041
Blocks: sat560-abrt
  Show dependency treegraph
 
Reported: 2013-07-09 09:22 EDT by Rich Jerrido
Modified: 2013-10-01 16:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-abrt-2.0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 16:10:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Jerrido 2013-07-09 09:22:04 EDT
Description of problem:

spacewalk-abrt does not report kernel crashes reported via the abrt-addon-vmcore plugin. 

Version-Release number of selected component (if applicable):
spacewalk-abrt-1.9.6-2.el6sat.noarch
abrt-2.0.8-15.el6.x86_64
abrt-addon-vmcore-2.0.8-15.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Install the above packages on the client
2. Configure client system to use kdump. Ensure kdump is operational (service kdump status) 
3. Crash the system (echo c > /proc/sysrq-trigger)

Actual results:
On the system's Software crash page (https://fqdn/rhn/systems/details/SoftwareCrashes.do?sid=<systemid>), the crash is not reported. 


Expected results:
The kernel crash should be reported, similar to other crashes captures by abrt (such as kernel oops, python tracebacks, etc). 


Additional info:


[*] Running 'abrt-cli list' does show the kernel crash being reported to abrt. 
[*] Running 'spacewalk-abrt -v --sync' to see if the crash could be manually uploaded does not work either.
Comment 2 Milan Zazrivec 2013-07-10 05:15:15 EDT
Not a limitation -- the vmcore crash dir just looks different from
what our tools expected.

Fixed in spacewalk.git master: 2979bdf31c4000f0be509daa6bacccf7fc6feacf
Comment 5 Clifford Perry 2013-10-01 16:10:53 EDT
This bug was fixed with updated packages being released within the RHN Tools
channels. 


RHN Tools (for Sat 5.6 GA) Errata text:

https://rhn.redhat.com/errata/RHEA-2013-1391.html

Note You need to log in before you can comment on or make changes to this bug.